# open-cpp-utils: template_utils.h File Reference

Loading...
Searching...
No Matches
template_utils.h File Reference

Provides compile time evaluation utilities for templates and template packs. More...

Go to the source code of this file.

## Classes

struct | open_cpp_utils::constant_value< T, V >
| Compile-time constant value. More...

## Typedefs

template<bool V>
using | open_cpp_utils::bool_constant = constant_value<bool, V>
| Compile-time constant boolean value.
using | open_cpp_utils::true_type = bool_constant<true>
| Constant True value.
using | open_cpp_utils::false_type = bool_constant<false>
| Constant False value.

## Variables

template<typename T , typename... Ts>
constexpr bool | open_cpp_utils::is_unique< T, Ts... > = bool_constant<(!is_same<T, Ts> && ...) && is_unique<Ts...>>{}

## Detailed Description

Provides compile time evaluation utilities for templates and template packs.

## Typedef Documentation

## bool_constant

template<bool V>

using open_cpp_utils::bool_constant = constant_value<bool, V>

Compile-time constant boolean value.

Template Parameters

  V | Value